function Rechteck(x,y,a,b) {
	this.x = x;
	this.y = y;
	this.a = a;
	this.b = b;
	this.randDicke = 1;
	this.randFarbe = "#000000";
	this.farbe = "#ff0000";
	

	this.draw = function() {
		jg.setColor(this.farbe);
		jg.fillRect(this.x, this.y, this.a, this.b);
		if (this.randDicke>=0) {
			jg.setStroke(this.randDicke);
			jg.setColor(this.randFarbe);
			jg.drawRect(this.x, this.y, this.a, this.b);
		}
		jg.paint();
	}

	this.setBorderWidth = function(sWidth) {
		if (typeof sWidth != "string") sWidth = String(sWidth);
		if (istZahl(sWidth) || sWidth<0) { //Dicke = 0 ist gepunktet
			this.randDicke = Number(sWidth);
		} else {
			alert(unescape(sWidth+ " ist keine korrekte Angaben f%FCr die Breite eines Pragrafen. Es sind nur Angaben wie 1,2,3,... erlaubt."));
		}
	}

	this.setFillColor = function(sColor) {
		this.farbe = sColor;
	}

	this.setBorderColor = function(sColor) {
		this.randFarbe = sColor;
	}

	//this.draw();
}

function DiagrammBalken(x,y,a,b) {
	this.x = x;
	this.y = y;
	this.a = a; //Breite
	this.b = b; // Hoehe
	this.randDicke = 1;
	this.randFarbe = "#000000";
	this.farbe = "#ff0000";
	this.divId = 0;
	

	this.draw = function() {
		this.divId = ++jsLogoGlobalDivIdx;
		this.elementId = this.divId+"diagrammbalken";
		var sResult = '<div id="'+this.divId+'" style="position:absolute;'+'left:' + this.x + 'px;'+'top:' + (y-b) + 'px;background-color:'+this.farbe+';width:'+ this.a +'px; height:'+ b +'px;"><\/div>';
		document.write(sResult);
	}

	/*
	this.setBorderWidth = function(sWidth) {
		if (typeof sWidth != "string") sWidth = String(sWidth);
		if (istZahl(sWidth) || sWidth<0) { //Dicke = 0 ist gepunktet
			this.randDicke = Number(sWidth);
		} else {
			alert(unescape(sWidth+ " ist keine korrekte Angaben f%FCr die Breite eines Pragrafen. Es sind nur Angaben wie 1,2,3,... erlaubt."));
		}
	}
	*/
	
	this.setColor = function(sColor) {
		this.farbe = sColor;
	}

	/*
	this.setBorderColor = function(sColor) {
		this.randFarbe = sColor;
	}
	*/

	this.getX = function() {return this.x;}

	this.getY = function() {return this.y;}


	this.setX = function(newX) {
		this.x = newX;
		document.getElementById(this.divId).style.left = newX;
	}

	this.setY = function(newY) {
		this.y = newY;
		document.getElementById(this.divId).style.top = newY;
	}


	this.setWidth = function(newWidth) {
		this.a = newWidth;
		document.getElementById(this.divId).style.width = newWidth;
	}

	this.setHeight = function(newHeight) {
		if (newHeight>0) {
			this.a = newHeight;
			document.getElementById(this.divId).style.height = this.a;
			document.getElementById(this.divId).style.top = this.y-newHeight;
		}
	}

	//this.draw();
}


function Linie(x1,y1,x2,y2) {
	this.x1 = x1;
	this.y1 = y1;
	this.x2 = x2;
	this.y2 = y2;
	this.linienDicke = 1;
	this.linienFarbe = "#000000";

	this.draw = function() {
		jg.setColor(this.linienFarbe);
		jg.setStroke(this.linienDicke);
		jg.drawLine(this.x1, this.y1, this.x2, this.y2);
		jg.paint();
	}

	this.setLineWidth = function(sWidth) {
		if (typeof sWidth != "string") sWidth = String(sWidth);
		if (istZahl(sWidth) || sWidth<0) { //Dicke = 0 ist gepunktet
			this.linienDicke = Number(sWidth);
		} else {
			alert(unescape(sWidth+ " ist keine korrekte Angaben f%FCr die Breite eines Pragrafen. Es sind nur Angaben wie 1,2,3,... erlaubt."));
		}
	}

	this.setLineColor = function(sColor) {
		this.linienFarbe = sColor;
	}

	//this.draw();
}


function Kreis(x,y,d) {
	this.x = x-d;
	this.y = y-d;
	this.r = 2*d;
	this.randDicke = 1;
	this.randFarbe = "#000000";
	this.farbe = "#ff0000";
	

	this.draw = function() {
		jg.setColor(this.farbe);
		jg.fillOval(this.x, this.y, this.r, this.r);
		if (this.randDicke>=0) {
			jg.setStroke(this.randDicke);
			jg.setColor(this.randFarbe);
			jg.drawOval(this.x, this.y, this.r, this.r);
		}
		jg.paint();
	
	}

	this.setBorderWidth = function(sWidth) {
		if (typeof sWidth != "string") sWidth = String(sWidth);
		if (istZahl(sWidth) || sWidth<0) { //Dicke = 0 ist gepunktet
			this.randDicke = Number(sWidth);
		} else {
			alert(unescape(sWidth+ " ist keine korrekte Angaben f%FCr die Breite eines Pragrafen. Es sind nur Angaben wie 1,2,3,... erlaubt."));
		}
	}

	this.setFillColor = function(sColor) {
		this.farbe = sColor;
	}

	this.setBorderColor = function(sColor) {
		this.randFarbe = sColor;
	}

	//this.draw();
}

function Stern(x,y,r) {
	this.x = x-r/2;
	this.y = y-r/2;
	this.r = r;
	this.randDicke = 1;
	this.randFarbe = "yellow";
	this.farbe = "yellow";
	

	this.draw = function() {	
		jg.setColor(this.farbe);
		var xWerte = new Array(4,1,0,-1,-4,-1,0,1);
		var yWerte = new Array(0,1,4,1,0,-1,-4,-1);
		for (var i=0;i<8;i++) {
			xWerte[i]*=this.r;
			xWerte[i]+=this.x;
			yWerte[i]*=this.r;
			yWerte[i]+=this.y;
		}
		jg.fillPolygon(xWerte,yWerte);
		if (this.randDicke>=0) {
			jg.setStroke(this.randDicke);
			jg.setColor(this.randFarbe);
			jg.drawPolygon(xWerte,yWerte);
		}
		jg.paint();
	
	}

	this.setBorderWidth = function(sWidth) {
		if (typeof sWidth != "string") sWidth = String(sWidth);
		if (istZahl(sWidth) || sWidth<0) { //Dicke = 0 ist gepunktet
			this.randDicke = Number(sWidth);
		} else {
			alert(unescape(sWidth+ " ist keine korrekte Angaben f%FCr die Breite eines Pragrafen. Es sind nur Angaben wie 1,2,3,... erlaubt."));
		}
	}

	this.setFillColor = function(sColor) {
		this.farbe = sColor;
	}

	this.setBorderColor = function(sColor) {
		this.randFarbe = sColor;
	}

	//this.draw();
}

function Dreieck(x1,y1,x2,y2,x3,y3) {
	this.randDicke = 1;
	this.randFarbe = "red";
	this.farbe = "red";
	this.xWerte = new Array(4,1,0);this.xWerte[0] = x1;this.xWerte[1] = x2;this.xWerte[2] = x3;
	this.yWerte = new Array(0,1,4);this.yWerte[0] = y1;this.yWerte[1] = y2;this.yWerte[2] = y3;
	

	this.draw = function() {	
		jg.setColor(this.farbe);
		jg.fillPolygon(this.xWerte,this.yWerte);
		if (this.randDicke>=0) {
			jg.setStroke(this.randDicke);
			jg.setColor(this.randFarbe);
			jg.drawPolygon(this.xWerte,this.yWerte);
		}
		jg.paint();
	
	}

	this.setBorderWidth = function(sWidth) {
		if (typeof sWidth != "string") sWidth = String(sWidth);
		if (istZahl(sWidth) || sWidth<0) { //Dicke = 0 ist gepunktet
			this.randDicke = Number(sWidth);
		} else {
			alert(unescape(sWidth+ " ist keine korrekte Angaben f%FCr die Breite eines Pragrafen. Es sind nur Angaben wie 1,2,3,... erlaubt."));
		}
	}

	this.setFillColor = function(sColor) {
		this.farbe = sColor;
	}

	this.setBorderColor = function(sColor) {
		this.randFarbe = sColor;
	}

	//this.draw();
}

function Ellipse(x,y,a,b) {
	this.x = x;
	this.y = y;
	this.randDicke = 1;
	this.randFarbe = "red";
	this.farbe = "red";
	this.a = a;
	this.b = b;
	

	this.draw = function() {	
		jg.setColor(this.farbe);
		jg.fillOval(this.x,this.y,this.a,this.b);
		if (this.randDicke>=0) {
			jg.setStroke(this.randDicke);
			jg.setColor(this.randFarbe);
			jg.drawOval(this.x,this.y,this.a,this.b);
		}
		jg.paint();
	
	}

	this.setBorderWidth = function(sWidth) {
		if (typeof sWidth != "string") sWidth = String(sWidth);
		if (istZahl(sWidth) || sWidth<0) { //Dicke = 0 ist gepunktet
			this.randDicke = Number(sWidth);
		} else {
			alert(unescape(sWidth+ " ist keine korrekte Angaben f%FCr die Breite eines Pragrafen. Es sind nur Angaben wie 1,2,3,... erlaubt."));
		}
	}

	this.setFillColor = function(sColor) {
		this.farbe = sColor;
	}

	this.setBorderColor = function(sColor) {
		this.randFarbe = sColor;
	}

	//this.draw();
}